Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2870)
@@ -1060,37 +1060,64 @@
     'sollwai', 'LW-AIE at SFR', 'W/m2', (/ ('', i=1, 10) /))
 
-
   TYPE(ctrl_out),SAVE,DIMENSION(naero_tot) :: o_tausumaero =                              &
-       (/ ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(1),     &
+       (/ ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(1),     &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(1),"1", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(2),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(2),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(2),"2", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(3),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(3),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(3),"3", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(4),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(4),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(4),"4", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(5),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(5),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(5),"5", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(6),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(6),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(6),"6", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(7),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(7),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(7),"7", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(8),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(8),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(8),"8", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(9),        &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(9),        &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(9),"9", (/ ('', i=1, 10) /)),     &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(10),       &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(10),       &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(10),"10", (/ ('', i=1, 10) /)),   &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(11),       &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(11),       &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(11),"11", (/ ('', i=1, 10) /)),   &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(12),       &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(12),       &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(12),"12", (/ ('', i=1, 10) /)),   &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(13),       &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(13),       &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(13),"13", (/ ('', i=1, 10) /)),   &
-       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'OD550_'//name_aero_tau(14),       &
+       ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'od550_'//name_aero_tau(14),       &
        "Aerosol Optical depth at 550 nm "//name_aero_tau(14),"14", (/ ('', i=1, 10) /)) /)
+
+  TYPE(ctrl_out),SAVE,DIMENSION(naero_tot-1) :: o_drytausumaero =                              &
+       (/ ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(1),     &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(1),"1", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(2),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(2),"2", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(3),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(3),"3", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(4),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(4),"4", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(5),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(5),"5", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(6),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(6),"6", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(7),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(7),"7", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(8),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(8),"8", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(9),        &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(9),"9", (/ ('', i=1, 10) /)),     &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(10),       &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(10),"10", (/ ('', i=1, 10) /)),   &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(11),       &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(11),"11", (/ ('', i=1, 10) /)),   &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(12),       &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(12),"12", (/ ('', i=1, 10) /)),   &
+       ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/),'dryod550_'//name_aero_tau(13),       &
+       "Dry aerosol Optical depth at 550 nm "//name_aero_tau(13),"13", (/ ('', i=1, 10) /)) /)
 !
   TYPE(ctrl_out), SAVE :: o_tausumaero_lw = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'OD_10um_STRAT', 'Stratospheric Aerosol Optical depth at 10 um ', '1', (/ ('', i=1, 10) /))
+    'od_10um_STRAT', 'Stratospheric Aerosol Optical depth at 10 um ', '1', (/ ('', i=1, 10) /))
 !
   TYPE(ctrl_out), SAVE :: o_od443aer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
@@ -1098,4 +1125,6 @@
   TYPE(ctrl_out), SAVE :: o_od550aer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'od550aer', 'Total aerosol optical depth at 550nm', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dryod550aer = ctrl_out((/ 11, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dryod550aer', 'Total dry aerosol optical depth at 550nm', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_od865aer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'od865aer', 'Total aerosol optical depth at 870nm', '-', (/ ('', i=1, 10) /))
@@ -1140,31 +1169,31 @@
   TYPE(ctrl_out), SAVE :: o_loadno3 = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'loadno3', 'Column Load of Nitrate ', 'kg/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoaas_nat = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoaas_nat = ctrl_out((/ 11, 11, 1, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoaas_nat', 'Natural aerosol radiative forcing all-sky at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfas_nat = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfas_nat = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfas_nat', 'Natural aerosol radiative forcing all-sky at SRF', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoacs_nat = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoacs_nat = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoacs_nat', 'Natural aerosol radiative forcing clear-sky at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfcs_nat = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfcs_nat = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfcs_nat', 'Natural aerosol radiative forcing clear-sky at SRF', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoaas_ant = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoaas_ant = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoaas_ant', 'Anthropogenic aerosol radiative forcing all-sky at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfas_ant = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfas_ant = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfas_ant', 'Anthropogenic aerosol radiative forcing all-sky at SRF', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoacs_ant = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoacs_ant = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoacs_ant', 'Anthropogenic aerosol radiative forcing clear-sky at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfcs_ant = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfcs_ant = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfcs_ant', 'Anthropogenic aerosol radiative forcing clear-sky at SRF', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoacf_nat = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoacf_nat = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoacf_nat', 'Natural aerosol impact on cloud radiative forcing at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfcf_nat = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfcf_nat = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfcf_nat', 'Natural aerosol impact on cloud radiative forcing  at SRF', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoacf_ant = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoacf_ant = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoacf_ant', 'Anthropogenic aerosol impact on cloud radiative forcing at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfcf_ant = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfcf_ant = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfcf_ant', 'Anthropogenic aerosol impact on cloud radiative forcing at SRF', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swtoacf_zero = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swtoacf_zero = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swtoacf_zero', 'Cloud radiative forcing (allsky-clearsky fluxes) at TOA', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_swsrfcf_zero = ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_swsrfcf_zero = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'swsrfcf_zero', 'Cloud radiative forcing (allsky-clearsky fluxes) at SRF', 'W/m2', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_cldncl = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
@@ -1185,5 +1214,5 @@
 !--strat aerosol optical depth
   TYPE(ctrl_out), SAVE :: o_tau_strat_550 = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
-    'OD550_strat_only', 'Stratospheric Aerosol Optical depth at 550 nm ', '1', (/ ('', i=1, 10) /))
+    'od550_strat_only', 'Stratospheric Aerosol Optical depth at 550 nm ', '1', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tau_strat_1020 = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     'OD1020_strat_only', 'Stratospheric Aerosol Optical depth at 1020 nm ', '1', (/ ('', i=1, 10) /))
Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 2870)
@@ -519,4 +519,5 @@
     IF (prt_level >= 10) THEN
       WRITE(lunout,*)'swaero_diag=',swaero_diag
+      WRITE(lunout,*)'dryaod_diag=',dryaod_diag
       WRITE(lunout,*)'phys_output_open: ends here'
     ENDIF
Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90	(revision 2870)
@@ -4,5 +4,5 @@
 MODULE phys_output_var_mod
 
-  use dimphy
+  USE dimphy
   ! Variables outputs pour les ecritures des sorties
   !======================================================================
@@ -79,8 +79,10 @@
 
   ! swaero_diag : flag indicates if it is necessary to do calculation for some aerosol diagnostics
+  ! dryaod_diag : flag indicates if it is necessary to do calculation for some aerosol diagnostics
   !--OB: this needs to be set to TRUE by default and changed back to FALSE after first radiation call
   !--    and corrected back to TRUE based on output requests
   LOGICAL, SAVE                                :: swaero_diag=.TRUE.
-  !$OMP THREADPRIVATE(swaero_diag)
+  LOGICAL, SAVE                                :: dryaod_diag=.TRUE.
+  !$OMP THREADPRIVATE(swaero_diag, dryaod_diag)
 
   INTEGER, SAVE:: levmin(nfiles) = 1
@@ -165,5 +167,5 @@
   !======================================================================
   SUBROUTINE phys_output_var_end
-    use dimphy
+    USE dimphy
     IMPLICIT NONE
 
Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90	(revision 2870)
@@ -100,10 +100,11 @@
          o_solldown, o_dtsvdfo, o_dtsvdft, &
          o_dtsvdfg, o_dtsvdfi, o_z0m, o_z0h, o_od443aer, o_od550aer, &
-         o_od865aer, o_abs550aer, o_od550lt1aer, &
+         o_dryod550aer, o_od865aer, o_abs550aer, o_od550lt1aer, &
          o_sconcso4, o_sconcno3, o_sconcoa, o_sconcbc, &
          o_sconcss, o_sconcdust, o_concso4, o_concno3, &
          o_concoa, o_concbc, o_concss, o_concdust, &
          o_loadso4, o_loadoa, o_loadbc, o_loadss, &
-         o_loaddust, o_loadno3, o_tausumaero, o_tausumaero_lw, &
+         o_loaddust, o_loadno3, o_tausumaero, & 
+         o_drytausumaero, o_tausumaero_lw, &
          o_topswad, o_topswad0, o_solswad, o_solswad0, &
          o_toplwad, o_toplwad0, o_sollwad, o_sollwad0, &
@@ -252,9 +253,9 @@
          weak_inversion, dthmin, cldtau, cldemi, &
          pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
-         qsat2m, tpote, tpot, d_ts, od443aer, od550aer, &
+         qsat2m, tpote, tpot, d_ts, od443aer, od550aer, dryod550aer, &
          od865aer, abs550aer, od550lt1aer, sconcso4, sconcno3, &
          sconcoa, sconcbc, sconcss, sconcdust, concso4, concno3, &
          concoa, concbc, concss, concdust, loadso4, &
-         loadoa, loadbc, loadss, loaddust, loadno3, tausum_aero, &
+         loadoa, loadbc, loadss, loaddust, loadno3, tausum_aero, drytausum_aero, &
          topswad_aero, topswad0_aero, solswad_aero, &
          solswad0_aero, topsw_aero, solsw_aero, &
@@ -301,5 +302,5 @@
     USE phys_output_var_mod, ONLY: vars_defined, snow_o, zfra_o, bils_diss, &
          bils_ec,bils_ech, bils_tke, bils_kinetic, bils_latent, bils_enthalp, &
-         itau_con, nfiles, clef_files, nid_files, &
+         itau_con, nfiles, clef_files, nid_files, dryaod_diag, &
          zustr_gwd_hines, zvstr_gwd_hines,zustr_gwd_rando, zvstr_gwd_rando, &
          zustr_gwd_front, zvstr_gwd_front,     &
@@ -1164,5 +1165,5 @@
        CALL histwrite_phy(o_z0m, z0m(:,nbsrf+1))
        CALL histwrite_phy(o_z0h, z0h(:,nbsrf+1))
-       ! OD550 per species
+       ! od550 per species
 !--OLIVIER
 !This is warranted by treating INCA aerosols as offline aerosols
@@ -1193,6 +1194,10 @@
              CALL histwrite_phy(o_loaddust, loaddust)
              CALL histwrite_phy(o_loadno3, loadno3)
-             !--STRAT AER
-          ENDIF
+             CALL histwrite_phy(o_dryod550aer, dryod550aer)
+             DO naero = 1, naero_tot-1
+                CALL histwrite_phy(o_drytausumaero(naero),drytausum_aero(:,naero))
+             END DO
+          ENDIF
+          !--STRAT AER
           IF (flag_aerosol.GT.0.OR.flag_aerosol_strat.GT.0) THEN
              DO naero = 1, naero_tot
Index: /LMDZ5/branches/testing/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/physiq_mod.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/physiq_mod.F90	(revision 2870)
@@ -92,4 +92,5 @@
        topswcf_aero,solswcf_aero,   &
        tausum_aero,tau3d_aero,      &
+       drytausum_aero,              &
        !
        !variables CFMIP2/CMIP5
@@ -971,5 +972,5 @@
     ! pre-industrial (pi) aerosols
 
-
+    INTEGER :: naero
     ! Aerosol optical properties
     CHARACTER*4, DIMENSION(naero_grp) :: rfname 
@@ -1580,4 +1581,9 @@
            !!!  xios_field_is_active("toplwai").OR.xios_field_is_active("sollwai") !))) & 
            swaero_diag=.TRUE. 
+
+       !--setting up dryaod_diag to TRUE in XIOS case 
+       DO naero = 1, naero_tot-1
+         IF (xios_field_is_active("dryod550_"//name_aero_tau(naero))) dryaod_diag=.TRUE. 
+       ENDDO
 #endif 
 
@@ -2137,5 +2143,6 @@
 
        !jyg+nrlmd<
-       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
+!!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
+       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,10) .ge. 1) THEN
           print *,'debut du splitting de la PBL'
        ENDIF
@@ -2217,5 +2224,6 @@
        !
        !  Add turbulent diffusion tendency to the wake difference variables
-       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
+       IF (mod(iflag_pbl_split,10) .NE. 0) THEN
 !jyg<
           d_deltat_vdf(:,:) = d_t_vdf_w(:,:)-d_t_vdf_x(:,:)
@@ -2829,5 +2837,6 @@
        IF (iflag_thermals>=1) THEN
           !jyg<
-          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
+!!       IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
+       IF (mod(iflag_pbl_split/10,10) .GE. 1) THEN
              !  Appel des thermiques avec les profils exterieurs aux poches
              DO k=1,klev
@@ -2874,5 +2883,6 @@
           !
           !jyg<
-          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
+!!jyg          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
+          IF (mod(iflag_pbl_split/10,10) .GE. 1) THEN
              !  Si les thermiques ne sont presents que hors des
              !  poches, la tendance moyenne associ\'ee doit etre
@@ -2896,5 +2906,5 @@
              call prt_enerbil('the',itap)
           !
-          ENDIF  ! (mod(iflag_pbl_split/2,2) .EQ. 1)
+          ENDIF  ! (mod(iflag_pbl_split/10,10) .GE. 1)
           !
           CALL add_phys_tend(d_u_ajs,d_v_ajs,d_t_ajs,d_q_ajs,  &
@@ -3367,5 +3377,5 @@
                         tr_seri, mass_solu_aero, mass_solu_aero_pi,  &
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
-                        tausum_aero, tau3d_aero)
+                        tausum_aero, drytausum_aero, tau3d_aero)
 #endif
                    !
@@ -3407,4 +3417,5 @@
        ELSE   !--flag_aerosol = 0 
           tausum_aero(:,:,:) = 0.
+          drytausum_aero(:,:) = 0.
           mass_solu_aero(:,:) = 0.
           mass_solu_aero_pi(:,:) = 0.
@@ -3674,9 +3685,10 @@
 #ifndef CPP_XIOS
           !--OB 30/05/2016 modified 21/10/2016
-          !--here we return swaero_diag to FALSE
+          !--here we return swaero_diag and dryaod_diag to FALSE
           !--and histdef will switch it back to TRUE if necessary
           !--this is necessary to get the right swaero at first step
           !--but only in the case of no XIOS as XIOS is covered elsewhere 
           IF (debut) swaero_diag = .FALSE.
+          IF (debut) dryaod_diag = .FALSE.
 #endif
           !
@@ -4185,6 +4197,6 @@
     d_t_ec(:,:)=0.
     forall (k=1: nbp_lev) exner(:, k) = (pplay(:, k)/paprs(:,1))**RKAPPA
-    CALL ener_conserv(klon,klev,pdtphys,u,v,t,qx(:,:,ivap), &
-         u_seri,v_seri,t_seri,q_seri,pbl_tke(:,:,is_ave)-tke0(:,:), &
+    CALL ener_conserv(klon,klev,pdtphys,u,v,t,qx(:,:,ivap),qx(:,:,iliq),qx(:,:,isol), &
+         u_seri,v_seri,t_seri,q_seri,ql_seri,qs_seri,pbl_tke(:,:,is_ave)-tke0(:,:), &
          zmasse,exner,d_t_ec)
     t_seri(:,:)=t_seri(:,:)+d_t_ec(:,:)
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 2870)
@@ -8,9 +8,10 @@
    flag_bc_internal_mixture, & 
    pplay, t_seri,            &
-   tausum, tau )
+   tausum, drytausum, tau )
 
   USE DIMPHY
   USE aero_mod
-  USE phys_local_var_mod, ONLY: od443aer,od550aer,od865aer,ec550aer,od550lt1aer,abs550aer
+  USE phys_local_var_mod, ONLY: od443aer,od550aer,dryod550aer,od865aer,ec550aer,od550lt1aer,abs550aer
+  USE phys_output_var_mod, ONLY: dryaod_diag
   USE YOMCST, ONLY: RD,RG
 
@@ -67,4 +68,5 @@
   REAL, DIMENSION(klon), INTENT(OUT)                      :: ai      ! POLDER aerosol index 
   REAL, DIMENSION(klon,nwave,naero_tot), INTENT(OUT)      :: tausum
+  REAL, DIMENSION(klon,naero_tot), INTENT(OUT)            :: drytausum
   REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(OUT) :: tau
   !
@@ -342,8 +344,8 @@
   ! Initialisations
   ai(:) = 0.
+  abs550aer(:)=0.0
+  drytausum(:,:) = 0.
   tausum(:,:,:) = 0.
   tau(:,:,:,:)=0.
-
-  abs550aer(:)=0.0
 
   DO k=1, klev
@@ -476,5 +478,5 @@
     DO la=1,las
 
-    !--only 443, 550, 670 and 865 nm are used
+    !--only 443, 550, and 865 nm are used
     !--to save time 670 and AI are not computed for CMIP6
     !IF (la.NE.la443.AND.la.NE.la550.AND.la.NE.la670.AND.la.NE.la865) CYCLE
@@ -511,4 +513,9 @@
              tausum(i,la,aerindex)=tausum(i,la,aerindex)+tau(i,k,la,aerindex)
 
+             IF (la.EQ.la550.AND.dryaod_diag) THEN 
+                tau_ae5wv_int = alpha_MG_5wv(1,la,classbc)
+                drytausum(i,aerindex)=drytausum(i,aerindex)+m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*tau_ae5wv_int*fac
+             ENDIF
+
              IF (la.EQ.la550) THEN 
                 abs_ae5wv_int = abs_MG_5wv(RH_num(i,k),la,classbc)+DELTA(i,k)* &
@@ -532,4 +539,9 @@
               tausum(i,la,aerindex)=tausum(i,la,aerindex)+tau(i,k,la,aerindex)
 
+              IF (la.EQ.la550.AND.dryaod_diag) THEN 
+                 tau_ae5wv_int = alpha_aers_5wv(1,la,spsol)
+                 drytausum(i,aerindex)=drytausum(i,aerindex)+m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*tau_ae5wv_int*fac
+              ENDIF
+
               IF (la.EQ.la550) THEN 
                  abs_ae5wv_int = abs_aers_5wv(RH_num(i,k),la,spsol)+DELTA(i,k)* &
@@ -554,6 +566,10 @@
             tausum(i,la,aerindex)= tausum(i,la,aerindex)+tau(i,k,la,aerindex)
 
+            IF (la.EQ.la550.AND.dryaod_diag) THEN 
+              drytausum(i,aerindex)= drytausum(i,aerindex)+tau(i,k,la,aerindex)
+            ENDIF
+
             IF (la.EQ.la550) THEN 
-               abs_ae5wv_int = abs_aeri_5wv(la,spsol)
+               abs_ae5wv_int = abs_aeri_5wv(la,spinsol)
                abs550aer(i)=abs550aer(i)+m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*abs_ae5wv_int*fac
             ENDIF 
@@ -573,4 +589,7 @@
   od865aer(:)=SUM(tausum(:,la865,:),dim=2)
 
+!--dry AOD calculation for diagnostics la=la550
+  dryod550aer(:)=SUM(drytausum(:,:),dim=2)
+
 !--extinction coefficient for diagnostic
   ec550aer(:,:)=SUM(tau(:,:,la550,:),dim=3)/zdh(:,:)
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 2870)
@@ -6,5 +6,5 @@
      tr_seri, mass_solu_aero, mass_solu_aero_pi, &
      tau_aero, piz_aero, cg_aero, &
-     tausum_aero, tau3d_aero )
+     tausum_aero, drytausum_aero, tau3d_aero )
 
   ! This routine will :
@@ -52,4 +52,5 @@
   REAL, DIMENSION(klon,klev,2,NSW), INTENT(OUT) :: cg_aero     ! asymmetry parameter aerosol
   REAL, DIMENSION(klon,nwave,naero_tot), INTENT(OUT)       :: tausum_aero
+  REAL, DIMENSION(klon,naero_tot), INTENT(OUT)             :: drytausum_aero
   REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(OUT)  :: tau3d_aero
 
@@ -231,5 +232,5 @@
      ENDIF
      !
-     ! Read and interpolate cidustm
+     ! Read and interpolate asno3m, csno3m, cino3m
      IF (flag_aerosol .EQ. 6) THEN 
 
@@ -240,5 +241,5 @@
         CALL readaerosol_interp(id_CINO3M_phy, itap, pdtphys, rjourvrai, & 
         debut, pplay, paprs, t_seri, nitrinscoarse, nitrinscoarse_pi, load_tmp3) 
-        loadss(:)=load_tmp1(:)+load_tmp2(:)+load_tmp3(:)
+        loadno3(:)=load_tmp1(:)+load_tmp2(:)+load_tmp3(:)
 
      ELSE
@@ -320,5 +321,5 @@
        flag_bc_internal_mixture,     & 
        pplay, t_seri,                &
-       tausum_aero, tau3d_aero )
+       tausum_aero, drytausum_aero, tau3d_aero )
 
   !--call LW optical properties for tropospheric aerosols 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/rrtm_init_140gp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/rrtm_init_140gp.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/rrtm_init_140gp.F90	(revision 2870)
@@ -82,9 +82,9 @@
 
 CORR1(0) = 1.0_JPRB
-CORR1(200) = 1.0_JPRB
+CORR1(400) = 1.0_JPRB
 CORR2(0) = 1.0_JPRB
-CORR2(200) = 1.0_JPRB
-DO I = 1,199
-  Z_FP = 0.005_JPRB*REAL(I)
+CORR2(400) = 1.0_JPRB
+DO I = 1,399
+  Z_FP = 0.0025_JPRB*REAL(I)
   Z_RTFP = SQRT(Z_FP)
   CORR1(I) = Z_RTFP/Z_FP
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtbg2.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtbg2.F90	(revision 2869)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtbg2.F90	(revision 2870)
@@ -13,6 +13,6 @@
 !    -------------------------------------------------------------------
 
-REAL(KIND=JPRB) :: CORR1(0:200)
-REAL(KIND=JPRB) :: CORR2(0:200)
+REAL(KIND=JPRB) :: CORR1(0:400)
+REAL(KIND=JPRB) :: CORR2(0:400)
 
 !     -----------------------------------------------------------------
